version: "3.5"
services: 
    webserver:
        build: ../../../build
        networks: [moodle]
        ports:
            - "80:80" 
            - "443:443"
        volumes: 
            - ../../../pencil:/opt/moodle
            - ../../artifacts:/artifacts
    postgres:
        image: postgres:13
        networks: [moodle]
        environment: 
            - POSTGRES_DB=moodle_test
            - POSTGRES_PASSWORD=P@ssw0rd
            - POSTGRES_HOST_AUTH_METHOD=trust
        volumes:
            - ../../db_dir/pgsql:/var/lib/postgresql/data
    selenium:
        image: selenium/standalone-chrome
        networks: [moodle]
        ports: 
            - "4444:4444"

networks: 
    moodle:
        name: moodle
